@import url('https://fonts.googleapis.com/css2?family=Roboto+Flex:opsz,wght@8..144,100..1000&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
{
font-family: "poppins", sans-serif;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style:normal;
}
{
  font-family:"Montserrat", serif;
  font-optical-sizing:auto;
  font-weight:200;
  font-style:normal;
}

.inicio{
  padding:100px;
}

body {
  position: relative;
   margin: 0;
}
.fondo{
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
}

video {
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 105%;
  min-height: 100%;
  transform: translateX(calc((100% - 100vw) / 2));
  z-index: -2;
}

.iconof{
  color: black;
  
}
.iconoi{
  color: black;
}
.iconow{
  color: black;
}


-----------/* CSS del menunav */--------------

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}
nav{
  position: fixed;
  z-index: 99;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.657);
}
nav .wrapper{
  position: relative;
  max-width: 1300px;
  padding: 0px 30px;
  height: 70px;
  line-height: 70px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.wrapper .logo a{
  color: black;
  font-size: 30px;
  font-weight: 600;
  text-decoration: none;
}
.wrapper .nav-links{
  display: inline-flex;
}
.nav-links li{
  list-style: none;
}
.nav-links li a{
  color: black;
  text-decoration: none;
  font-size: 17px;
  font-weight: 500;
  padding: 9px 15px;
  border-radius: 5px;
  transition: all 0.3s ease;
}
.nav-links li a:hover{
  background: #989ea3;
}
.nav-links .mobile-item{
  display: none;
}
 
.wrapper .btn{
  color: white;
  font-size: 20px;
  cursor: pointer;
  display: none;
}
.wrapper .btn.close-btn{
  position: absolute;
  right: 30px;
  top: 10px;
}

@media screen and (max-width: 970px) {
  .wrapper .btn{
    display: block;
  }
  .wrapper .nav-links{
    position:fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    top: 0;
    left: -100%;
    background: #b2bbc45a;
    display:block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y:auto;
    box-shadow: 0px 15px 15px rgba(255, 255, 255, 0.528);
    transition: all 0.3s ease;
  }
  
  ::-webkit-scrollbar {
    width: 10px;
  }
  ::-webkit-scrollbar-track {
    background: #242526;
  }
  ::-webkit-scrollbar-thumb {
    background: #3A3B3C;
  }
  #menu-btn:checked ~ .nav-links{
    left: 0%;
  }
  #menu-btn:checked ~ .btn.menu-btn{
    display: none;
  }
  #close-btn:checked ~ .btn.menu-btn{
    display: block;
  }
  .nav-links li{
    margin: 15px 10px;
  }
  .nav-links li a{
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  
  .nav-links .mobile-item{
    display: block;
    color:  #f2f2f2;
    font-size: 20px;
    font-weight: 200;
    padding-left: 10px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }
  .nav-links .mobile-item:hover{
    background: #3A3B3C;
  }
 
  
}
nav input{
  display: none;
}

.body-text{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
  padding: 0 30px;
}
.body-text div{
  font-size: 45px;
  font-weight: 600;
}

----------/*fin css menu nac */-----------


@supports (animation-timeline: works) {

	@scroll-timeline cards-element-scrolls-in-body {
		source: selector(body);
		scroll-offsets:
			/* Start when the start edge touches the top of the scrollport */
			selector(#cards) start 1,
			/* End when the start edge touches the start of the scrollport */
			selector(#cards) start 0
		;
		start: selector(#cards) start 1; /* Start when the start edge touches the top of the scrollport */
		end: selector(#cards) start 0; /* End when the start edge touches the start of the scrollport */
		time-range: 4s;
	}

	.card {
		--index0: calc(var(--index) - 1); /* 0-based index */
		--reverse-index: calc(var(--numcards) - var(--index0)); /* reverse index */
		--reverse-index0: calc(var(--reverse-index) - 1); /* 0-based reverse index */
	}
	
	.card__content {
		transform-origin: 50% 0%;
		will-change: transform;

		--duration: calc(var(--reverse-index0) * 1s);
		--delay: calc(var(--index0) * 1s);

		animation: var(--duration) linear scale var(--delay) forwards;
		animation-timeline: cards-element-scrolls-in-body;
    
	}

	@keyframes scale {
		to {
			transform:
				scale(calc(
					1.1
					-
					calc(0.1 * var(--reverse-index))
				));
		}
	}
}

/** DEBUG **/

#debug {
  position: fixed;
  top: 1em;
  left: 1em;
}
#debug::after {
  content: "Show Debug";
  margin-left: 1.5em;
  color: white;
  white-space: nowrap;
}

#debug:checked ~ main {
  --outline-width: 1px;
}


/** PAGE STYLING **/

* { /* Poor Man's Reset */
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	color: rgb(255, 255, 255);
	text-align: center;
	font-size: calc(1em + 0.5vw);
  
}

header {
  min-height: 50vh;
  display: grid;
  justify-content: center;
  padding-top: 15%;
     
}

footer{
  background-color:grey;
  height: 25vh;
  position: absolute;
  bottom: 0;    
  
}

h1 {
  font-weight: 200;
  font-family:"Roboto flex", sans-serif ;
  font-size: 5em;
  text-align: right;
  color: white;
}

h2 {
  font-family:"roboto flex", sans-serif;
	font-weight: 300;
	font-size: 3em;
  text-align:right;
  color: rgba(255, 255, 255, 0.754);
  
}
h3{
  font-weight: 200;
  font-size: 1.5em;
}

.parrafo{
text-align: left;

}

.button {
  display: inline-block;
  background: #4285f4;
  color: #fff;
  padding: 10px 15px;
  border-radius:10px;
  box-shadow: 0px 17px 10px -10px rgba(0, 0, 0, 0.4);
  cursor: pointer;
  -webkit-transition: all ease-in-out 300ms;
  transition: all ease-in-out 300ms;
}
.button:hover {
  box-shadow: 0px 37px 20px -20px rgba(0, 0, 0, 0.544);
  -webkit-transform: translate(0px, -10px) scale(1.2);
   transform: translate(0px, -10px) scale(1.2);
}
  .ag-format-container {
    width: 1142px;
    margin: 0 auto;
  }
  
  main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 100px;
    padding-bottom: 400px;
    font-family: "Roboto", sans-serif;
  }
  
  .parallax1 {
    background-image: url(/img/close-up-student-online-class.jpg);
    height: 500px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
   
}
.parallax2 {
  background-image: url(/img/Fondo_blog.jpg);
  height: 400px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.content {
    height: 500px;
    text-align: center;
    padding: 50px;
}
  
  .card {
    
    width: 25rem;
    height: 30rem;
    border-radius: 10px;
    overflow: hidden;
    cursor: pointer;
    position: relative;
    color: #f0f0f0;
    box-shadow: 0 10px 30px 5px rgba(0, 0, 0, 0.2);
  }
  .card img {
    position: absolute;
    object-fit: cover;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0.7;
    transition: opacity 0.2s ease-out;
  }
  .card h2 {
    position: absolute;
    inset: auto auto 20px 30px;
    margin: 0;
    transition: inset 0.3s 0.3s ease-out;
    font-family: "roboto", sans-serif;
    font-weight: normal;
    font-size: 2em;
    text-transform: uppercase;
    color: white;
    text-align: left;
  }
  .card p, .card a {
    position: absolute;
    
    font-size: 0.8em;
    font-weight: 100;
    opacity: 0;
    max-width: 90%;
    transition: opacity 0.3s ease-out;
  }
  .card p {
    inset: auto top 80px 30px;
       
  }
  .card a {
    inset: auto auto 40px 30px;
    color: inherit;
    text-decoration: none;

  }
  .card:hover h2 {
    inset: auto auto 220px 30px;
    transition: inset 0.3s ease-out;
    color: blue;
    
  }
  .card:hover p, .card:hover a {
    opacity: 1;
    transition: opacity 0.5s 0.1s ease-in;
  }
  .card:hover img {
    transition: opacity 0.3s ease-in;
    opacity: 1;
  }
  
  .material-symbols-outlined {
    vertical-align: middle;
    background-color: white;
    color: black;
  }
  
  .preguntas{
    font-size: 1.5em;
    font-weight: 100;
    }
  
    .card1{
      color: black;
      text-align: left;
      font-size: 1em;
      font-family:"Montserrat", serif;
      border: solid 1px;
      border-radius: 10px;
      padding-top: 10px;
      
     }
    
  -------------/* css del acordion*/---------
  *, *:after, *:before {
    box-sizing: border-box;
}

:root {
    font-size: 16px;
}

body {
    font-family: "Montserrat", serif;
    line-height: 1.5;
    min-height: 100vh;
    font-size: 1.2rem;
}

*:focus {
    outline: none;
}

body > div {
    width: 90%;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5rem;
    margin-bottom: 5rem;
}

details div {
    border-left: 2px solid grey;
    border-right: 2px solid grey;
    border-bottom: 2px solid grey;
    padding: 1.5em;
}

details div > * + * {
    margin-top: 1.5em;
}

details + details {
    margin-top: .5rem;
}

summary {
    list-style: none;
}

summary::-webkit-details-marker {
    display: none;
}

summary {
    border: 2px solid white;
    padding: .75em 1em;
    cursor: pointer;
    position: relative;
    padding-left: calc(1.75rem + .75rem + .75rem);
}

summary:before {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: .75rem;
    content: "↓";
    width: 1.75rem;
    height: 1.75rem;
    background-color: #000;
    color: #FFF;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
}

details[open] summary {
    background-color: grey;
}

details[open] summary:before {
    content: "↑";
}

summary:hover {
    background-color: gray;
  }

a {
    color: inherit;
    font-weight: 600;
    text-decoration: none;
    
}

a:hover {
    box-shadow: 0 0px 0 0;
      
} 
  


code {
    font-family: monospace;
    font-weight: 600;
}